Replay VisionSummarize a scanner's answers

Summarize a scanner's answers

Counts of one scanner's answers over a UTC range of observation created_at dates: statuses, answers with shares (monitor, classifier), score distribution (scorer) or keywords (summarizer), a zero-filled daily series, decision agreement and a headline number. Readable by a key bound to the scanner's client.

curl -X GET "https://mythic-analytics.gulp.workers.dev/client/v1/replay-vision/scanners/123e4567-e89b-12d3-a456-426614174000/summary?location_id=example_string&days=42&date_from=2024-12-25&date_to=2024-12-25" \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer YOUR_API_TOKEN"
{
  "success": true,
  "data": {
    "scanner": {
      "id": "123e4567-e89b-12d3-a456-426614174000",
      "name": "John Doe",
      "type": "monitor",
      "config": {}
    },
    "range": {
      "from": "2024-12-25",
      "to": "2024-12-25",
      "dates": "observation created_at, UTC"
    },
    "observations": {
      "total": 42,
      "pending": 42,
      "running": 42,
      "succeeded": 42,
      "failed": 42,
      "ineligible": 42
    },
    "decision": {
      "agreed": 42,
      "disagreed": 42,
      "agreement_rate": 3.14
    },
    "answers": [
      {
        "answer": "yes",
        "count": 19,
        "share": 0.0864
      }
    ],
    "freeform_tags": [
      {
        "tag": "example_string",
        "count": 10
      }
    ],
    "score": {
      "count": 10,
      "avg": 3.14,
      "median": 3.14,
      "min": 3.14,
      "max": 3.14,
      "buckets": [
        {
          "score": 3.14,
          "count": 10
        }
      ]
    },
    "keywords": [
      {
        "keyword": "example_string",
        "count": 10
      }
    ],
    "daily": [
      {}
    ],
    "headline": {
      "label": "Broken experience: yes",
      "value": 0.0864,
      "unit": "ratio",
      "count": 10,
      "of": 42
    }
  }
}
GET
/client/v1/replay-vision/scanners/{id}/summary
GET
Base URLstring

Target server for requests. Edit to use your own host.

Bearer Token
Bearer Tokenstring
Required

Agency key (ak_) only; a location secret key (sk_) gets 403 agency_required. Agency-wide scoped keys (mcp_) need replay_vision:read or replay_vision:write.

Agency key (ak_) only; a location secret key (sk_) gets 403 agency_required. Agency-wide scoped keys (mcp_) need replay_vision:read or replay_vision:write.
query
location_idstring

Optional currently linked client; omit for agency-wide roster.

query
daysinteger

Last N days including today (1-366). Instead of date_from/date_to.

Min: 1 • Max: 366
query
date_fromstring

Inclusive UTC YYYY-MM-DD. Default 29 days before date_to.

Format: date
query
date_tostring

Inclusive UTC YYYY-MM-DD. Default today.

Format: date
Request Preview
Response

Response will appear here after sending the request

Authentication

header
Authorizationstring
Required

Bearer token. Agency key (ak_) only; a location secret key (sk_) gets 403 agency_required. Agency-wide scoped keys (mcp_) need replay_vision:read or replay_vision:write.

Path Parameters

Query Parameters

location_idstring

Optional currently linked client; omit for agency-wide roster.

daysinteger

Last N days including today (1-366). Instead of date_from/date_to.

date_fromstring

Inclusive UTC YYYY-MM-DD. Default 29 days before date_to.

date_tostring

Inclusive UTC YYYY-MM-DD. Default today.

Responses

successboolean
dataobject